Update an experiment.
Partially update an experiment by ID. Only provided fields are updated. Providing allocations replaces the entire allocations set.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the experiment to update.
Body
Partial update of an experiment. Only provided fields are updated. Providing allocations replaces the entire allocations set.
A human-readable name for the experiment
3 - 255^(?!.*\x00)\S(.*\S)?$A description of the experiment
3 - 1024^(?!.*\x00)\S(.*\S)?$Specifies the target authentication flow for this experiment. This field can only be modified on draft experiments. Must be one of: authentication, mfa_enrollment, mfa_challenge, password_reset, passkey_enrollment, organization_selection, email_verification, or all. Note that the all value targets every flow at once, but requires that this is the only active experiment.
authentication, mfa_enrollment, mfa_challenge, password_reset, passkey_enrollment, organization_selection, email_verification, all Configuration for how users are assigned to variations
Replaces all traffic allocations. Cannot be modified while the experiment is active.
1Ramp experiment levels configuration. A strictly-increasing sequence of exposure percentages, each an integer in [0, 100]. Can only be modified on draft experiments.
10 <= x <= 100Response
Experiment successfully updated.
^exp_[A-HJ-NP-Za-km-z1-9]+$percentage, segment Filter by status. Exact match.
draft, active, paused, completed, archived Fields that may be mutated given the experiment's current status. Computed at response time; always current with the API's enforcement logic.
Ramp experiment levels configuration.
Read-only. The active exposure percentage for the current ramp step. Null when no ramp schedule is active.